View Issue Details

IDProjectCategoryView StatusLast Update
0032403FPCPackagespublic2017-12-29 11:36
ReporterAlexey Tor.Assigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.2Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0032403: RegExpr: need another func type
Description TRegExprReplaceFunction = function (ARegExpr : TRegExpr): string
of object;

it needs result type RegExprString (to support Unicodestring).
TagsNo tags attached.
Fixed in Revision37853
FPCOldBugId
FPCTarget
Attached Files

Activities

Alexey Tor.

2017-11-03 16:16

reporter   ~0103854

Last edited: 2017-11-03 16:17

View 2 revisions

Pls fix the type? When unicode ifdef is on, function needs type Unicodestring, so replace type as above.

Michael Van Canneyt

2017-12-29 11:36

administrator   ~0105096

Fixed.

Issue History

Date Modified Username Field Change
2017-09-11 23:00 Alexey Tor. New Issue
2017-09-12 10:00 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-09-12 10:00 Michael Van Canneyt Status new => assigned
2017-11-03 16:16 Alexey Tor. Note Added: 0103854
2017-11-03 16:17 Alexey Tor. Note Edited: 0103854 View Revisions
2017-12-29 11:36 Michael Van Canneyt Fixed in Revision => 37853
2017-12-29 11:36 Michael Van Canneyt Note Added: 0105096
2017-12-29 11:36 Michael Van Canneyt Status assigned => resolved
2017-12-29 11:36 Michael Van Canneyt Fixed in Version => 3.1.1
2017-12-29 11:36 Michael Van Canneyt Resolution open => fixed
2017-12-29 11:36 Michael Van Canneyt Target Version => 3.2.0